---
sunet_frontend:

  load_balancer:
    api_imagetag: 'stable'
    exabgp_imagetag: 'stable'
    port80_acme_c_backend: 'letsencrypt_acme-c.sunet.se'
    static_backends:
      letsencrypt_acme-c.sunet.se.se:
        - '89.45.232.90'  # note: port 80

    peers:
      loke.sunet.se:
        as: '65434'
        remote_ip: '130.242.124.130'
      loke.sunet.se_v6:
        as: '65434'
        remote_ip: '2001:6b0:7:127::2'
      se-tug-rs-1.sunet.se:
        as: '65434'
        remote_ip: '130.242.125.111'
      se-tug-rs-1.sunet.se_v6:
        as: '65434'
        remote_ip: '2001:6b0:8:4::111'

    websites2:

      'connectortst':
        site_name: 'test.connector.eidas.swedenconnect.se'
        frontends:
          'fe-fre-1.test.komreg.net':
            ips: ['94.176.226.128', '2001:6b0:65:2::128']
          'fe-tug-1.test.komreg.net':
            ips: ['94.176.226.129', '2001:6b0:65:2::129']
        backends:
          default:
            'eidas-connector-1.test.sveidas.se':
              ips: ['89.45.236.47']
              server_args: 'ssl check verify none cookie ect1'
            'eidas-connector-2.test.sveidas.se':
              ips: ['89.45.237.117']
              server_args: 'ssl check verify none cookie ect2'
        allow_ports:
          - 443
        letsencrypt_server: 'acme-c.sunet.se'
        haproxy_image: docker.sunet.se/eduid/haproxy
        haproxy_imagetag: 'stable-tug'
        frontendtools_imagetag: 'stable'

      'testtest':
        site_name: 'test.test.swedenconnect.se'
        frontends:
          'fe-fre-1.test.komreg.net':
            ips: ['94.176.226.130', '2001:6b0:65:2::130']
          'fe-tug-1.test.komreg.net':
            ips: ['94.176.226.131', '2001:6b0:65:2::131']
        backends:
          default:
            'test-1.test.sveidas.se':
              ips: ['89.45.237.55']
              server_args: 'ssl check verify none'
          refidp:
            'refidp-1.test.sveidas.se':
              ips: ['89.45.236.193']
              server_args: 'ssl check verify none'
        allow_ports:
          - 443
        letsencrypt_server: 'acme-c.sunet.se'
        haproxy_image: docker.sunet.se/eduid/haproxy
        haproxy_imagetag: 'stable-tug'
        frontendtools_imagetag: 'stable'

      'proxytest':
        site_name: 'test.proxy.eidas.swedenconnect.se'
        frontends:
          'fe-fre-1.test.komreg.net':
            ips: ['94.176.226.132', '2001:6b0:65:2::132']
          'fe-tug-1.test.komreg.net':
            ips: ['94.176.226.133', '2001:6b0:65:2::133']
        backends:
          default:
            'eidas-proxy-1.test.sveidas.se':
              ips: ['89.45.237.104']
              server_args: 'ssl check verify none cookie p1'
            'eidas-proxy-2.test.sveidas.se':
              ips: ['89.45.236.227']
              server_args: 'ssl check verify none cookie p2'
        allow_ports:
          - 443
        letsencrypt_server: 'acme-c.sunet.se'
        haproxy_image: docker.sunet.se/eduid/haproxy
        haproxy_imagetag: 'stable-tug'
        frontendtools_imagetag: 'stable'

      'mdeidastest':
        site_name: 'test.md.eidas.swedenconnect.se'
        frontends:
          'fe-fre-1.test.komreg.net':
            ips: ['94.176.226.134', '2001:6b0:65:2::134']
          'fe-tug-1.test.komreg.net':
            ips: ['94.176.226.135', '2001:6b0:65:2::135']
        backends:
          default:
            'eupub-test-1.komreg.net':
              ips: ['89.45.236.252']
              server_args: 'ssl check verify none'
            'eupub-test-2.komreg.net':
              ips: ['89.45.237.8']
              server_args: 'ssl check verify none'
        allow_ports:
          - 443
        letsencrypt_server: 'acme-c.sunet.se'
        haproxy_image: docker.sunet.se/eduid/haproxy
        haproxy_imagetag: 'stable-tug'
        frontendtools_imagetag: 'stable'

      'mdtest':
        site_name: 'test.md.swedenconnect.se'
        frontends:
          'fe-fre-1.test.komreg.net':
            ips: ['94.176.226.136', '2001:6b0:65:2::136']
          'fe-tug-1.test.komreg.net':
            ips: ['94.176.226.137', '2001:6b0:65:2::137']
        backends:
          default:
            'natpub-test-1.komreg.net':
              ips: ['89.45.237.190']
              server_args: 'ssl check verify none'
            'natpub-test-2.komreg.net':
              ips: ['89.45.237.23']
              server_args: 'ssl check verify none'
        allow_ports:
          - 443
        letsencrypt_server: 'acme-c.sunet.se'
        haproxy_image: docker.sunet.se/eduid/haproxy
        haproxy_imagetag: 'stable-tug'
        frontendtools_imagetag: 'stable'

      'validatortst':
        site_name: 'test.validator.swedenconnect.se'
        frontends:
          'fe-fre-1.test.komreg.net':
            ips: ['94.176.226.138', '2001:6b0:65:2::138']
          'fe-tug-1.test.komreg.net':
            ips: ['94.176.226.139', '2001:6b0:65:2::139']
        backends:
          default:
            'validator-test-1.komreg.net':
              ips: ['89.45.237.45']
              server_args: 'ssl check verify none'
        allow_ports:
          - 443
        letsencrypt_server: 'acme-c.sunet.se'
        haproxy_image: docker.sunet.se/eduid/haproxy
        haproxy_imagetag: 'stable-tug'
        frontendtools_imagetag: 'stable'
